/fal-ai/wan/v2.2-a14b/image-to-image
Official documentation: https://fal.ai/models/fal-ai/wan/v2.2-a14b/image-to-image
POST
/fal-ai/wan/v2.2-a14b/image-to-imageBody Parametersapplication/json
acceleration string
Image generation speed, enumeration value: "regular", "none"
aspect_ratio string
Image size
enable_prompt_expansion boolean
Enable prompt extension
enable_safety_checker boolean
Enable security checks, default value: true
guidance_scale number
Range value: 1-10
guidance_scale_2 integer
Range value: 1-10
image_format string
Image output format: "jpeg", "png"
image_url* string
Image URL
num_inference_steps integer
Range value: 2-40
prompt* string
prompt word
shift integer
Range value: 1-10
strength number
Strength, range value: 0-1
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"acceleration": "regular",
3"aspect_ratio": "auto",
4"enable_prompt_expansion": false,
5"enable_safety_checker": true,
6"guidance_scale": 3.5,
7"guidance_scale_2": 4,
8"image_format": "jpeg",
9"image_url": "https://storage.googleapis.com/falserverless/example_inputs/wan-image-to-image-input.png",
10"num_inference_steps": 27,
11"prompt": "A cinematic shot of an ancient city at sunset, intricate stone buildings, warm golden light",
12"shift": 2,
13"strength": 0.5
14}
1curl -X POST "https://api.digislash.com/fal-ai/wan/v2.2-a14b/image-to-image" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"acceleration": "regular",
6"aspect_ratio": "auto",
7"enable_prompt_expansion": false,
8"enable_safety_checker": true,
9"guidance_scale": 3.5,
10"guidance_scale_2": 4,
11"image_format": "jpeg",
12"image_url": "https://storage.googleapis.com/falserverless/example_inputs/wan-image-to-image-input.png",
13"num_inference_steps": 27,
14"prompt": "A cinematic shot of an ancient city at sunset, intricate stone buildings, warm golden light",
15"shift": 2,
16"strength": 0.5
17}'
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/wan/requests/f88f1b41-b325-4f23-926b-da51481bf6c6/cancel",
3"logs": [],
4"metrics": {},
5"queue_position": 0,
6"request_id": "f88f1b41-b325-4f23-926b-da51481bf6c6",
7"response_url": "https://queue.fal.run/fal-ai/wan/requests/f88f1b41-b325-4f23-926b-da51481bf6c6",
8"status": "IN_QUEUE",
9"status_url": "https://queue.fal.run/fal-ai/wan/requests/f88f1b41-b325-4f23-926b-da51481bf6c6/status"
10}
